# $Revision: 1.13 $, $Date: 2011/09/27 21:01:02 $
%define		pkgname	utf8-string
Summary:	Support for reading and writing UTF8 Strings
Name:		ghc-%{pkgname}
Version:	0.3.7
Release:	2
License:	BSD
Group:		Development/Languages
Source0:	http://hackage.haskell.org/packages/archive/%{pkgname}/%{version}/%{pkgname}-%{version}.tar.gz
# Source0-md5:	50e5c395713e716e0e4a56da73f87ccd
URL:		http://hackage.haskell.org/package/utf8-string/
BuildRequires:	ghc >= 6.12.3
BuildRequires:	rpmbuild(macros) >= 1.608
%requires_eq	ghc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# debuginfo is not useful for ghc
%define		_enable_debug_packages	0

%description
A UTF8 layer for IO and Strings. The utf8-string package provides
operations for encoding UTF8 strings to Word8 lists and back, and for
reading and writing UTF8 without truncation.

%package doc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation

%description doc
HTML documentation for %{pkgname}.

%description doc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%prep
%setup -q -n %{pkgname}-%{version}

%build
runhaskell Setup.lhs configure -v2 \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--libexecdir=%{_libexecdir} \
	--docdir=%{_docdir}/%{name}-%{version}

runhaskell Setup.lhs build
runhaskell Setup.lhs haddock --executables

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/%{ghcdir}/package.conf.d

runhaskell Setup.lhs copy --destdir=$RPM_BUILD_ROOT

# work around automatic haddock docs installation
rm -rf %{name}-%{version}-doc
cp -a $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/html %{name}-%{version}-doc

runhaskell Setup.lhs register \
	--gen-pkg-config=$RPM_BUILD_ROOT/%{_libdir}/%{ghcdir}/package.conf.d/%{pkgname}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%ghc_pkg_recache

%postun
%ghc_pkg_recache

%files
%defattr(644,root,root,755)
%{_libdir}/%{ghcdir}/package.conf.d/%{pkgname}.conf
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}

%files doc
%defattr(644,root,root,755)
%doc %{name}-%{version}-doc/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ghc-utf8-string.spec,v $
Revision 1.13  2011/09/27 21:01:02  baggins
- rel 2
- use runhaskell to exec Setup.lhs

Revision 1.12  2011/09/27 13:11:39  baggins
- fix md5

Revision 1.11  2011/09/27 13:04:32  baggins
- 0.3.7

Revision 1.10  2011/02/28 09:27:23  glen
- update packaging, %requires_eq dep on ghc

Revision 1.9  2011/02/24 11:32:10  glen
- release 5

Revision 1.8  2011/02/24 10:58:35  glen
- use %ghcdir moved to common macros

Revision 1.7  2011/02/24 10:54:17  glen
- use %ghc_pkg_recache macro; make url copyable

Revision 1.6  2010/08/28 00:06:39  baggins
- release 3

Revision 1.5  2010/08/28 00:04:26  baggins
- requires_releq due to very unique ids in packages built with ghc 6.12+

Revision 1.4  2010/08/27 20:39:09  baggins
- rel 2

Revision 1.3  2010/08/27 20:29:25  baggins
- updated packaging to new template (ghc 6.12.3+)

Revision 1.2  2010/04/10 16:35:00  baggins
- removed changelog entries from template

Revision 1.1  2010/04/10 16:32:24  baggins
- initial revision

